# Uses of Class
org.apache.lucene.internal.hppc.IntHashSet

Packages that use IntHashSet
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of IntHashSet in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return IntHashSet
Modifier and Type
Method
Description
`IntHashSet`
IntHashSet.`clone()`
`static IntHashSet`
IntHashSet.`from(int... elements)`
Create a set from a variable number of arguments or an array of `int`.
Methods in org.apache.lucene.internal.hppc with parameters of type IntHashSet
Modifier and Type
Method
Description
`int`
IntHashSet.`addAll(IntHashSet set)`
Adds all elements from the given set to this set.
`int`
IntHashSet.`removeAll(IntHashSet other)`
Removes all keys present in a given container.
Constructors in org.apache.lucene.internal.hppc with parameters of type IntHashSet
Modifier
Constructor
Description
``
`IntHashSet(IntHashSet set)`
New instance copying elements from another set.